VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX:
[legend]

## Public Member Functions

| ObjectTableVertexBufferEntryNVX (ObjectEntryTypeNVX type_=ObjectEntryTypeNVX::eDescriptorSet, ObjectEntryUsageFlagsNVX flags_=ObjectEntryUsageFlagsNVX(), Buffer buffer_=Buffer())
| ObjectTableVertexBufferEntryNVX (ObjectTableEntryNVX const &objectTableEntryNVX, Buffer buffer_=Buffer())
| ObjectTableVertexBufferEntryNVX (VkObjectTableVertexBufferEntryNVX const &rhs)
ObjectTableVertexBufferEntryNVX & | operator= (VkObjectTableVertexBufferEntryNVX const &rhs)
ObjectTableVertexBufferEntryNVX & | setType (ObjectEntryTypeNVX type_)
ObjectTableVertexBufferEntryNVX & | setFlags (ObjectEntryUsageFlagsNVX flags_)
ObjectTableVertexBufferEntryNVX & | setBuffer (Buffer buffer_)
| operator VkObjectTableVertexBufferEntryNVX const & () const
| operator VkObjectTableVertexBufferEntryNVX & ()
bool | operator== (ObjectTableVertexBufferEntryNVX const &rhs) const
bool | operator!= (ObjectTableVertexBufferEntryNVX const &rhs) const

## Data Fields

ObjectEntryTypeNVX | type
ObjectEntryUsageFlagsNVX | flags
Buffer | buffer

## Detailed Description

Definition at line 31183 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ObjectTableVertexBufferEntryNVX() [1/3]

VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::ObjectTableVertexBufferEntryNVX | ( | ObjectEntryTypeNVX | type_ = `ObjectEntryTypeNVX::eDescriptorSet`,
|  | ObjectEntryUsageFlagsNVX | flags_ = `ObjectEntryUsageFlagsNVX()`,
|  | Buffer | buffer_ = `Buffer()`
| ) |  |

inline

Definition at line 31185 of file vulkan.hpp.

: type( type_ )
, flags( flags_ )
, buffer( buffer_ )
{
}

## ObjectTableVertexBufferEntryNVX() [2/3]

VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::ObjectTableVertexBufferEntryNVX | ( | ObjectTableEntryNVX const & | objectTableEntryNVX,
|  | Buffer | buffer_ = `Buffer()`
| ) |  |

inline explicit

Definition at line 31194 of file vulkan.hpp.

: type( objectTableEntryNVX.type )
, flags( objectTableEntryNVX.flags )
, buffer( buffer_ )
{}

## ObjectTableVertexBufferEntryNVX() [3/3]

VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::ObjectTableVertexBufferEntryNVX | ( | VkObjectTableVertexBufferEntryNVX const & | rhs | ) |

inline

Definition at line 31201 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ObjectTableVertexBufferEntryNVX ) );
}

References memcpy.

## Member Function Documentation

## operator VkObjectTableVertexBufferEntryNVX &()

VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::operator VkObjectTableVertexBufferEntryNVX & | ( |  | ) |

inline

Definition at line 31234 of file vulkan.hpp.

{
return *reinterpret_cast<VkObjectTableVertexBufferEntryNVX*>(this);
}

## operator VkObjectTableVertexBufferEntryNVX const &()

VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::operator VkObjectTableVertexBufferEntryNVX const & | ( |  | ) | const

inline

Definition at line 31229 of file vulkan.hpp.

{
return *reinterpret_cast<const VkObjectTableVertexBufferEntryNVX*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::operator!= | ( | ObjectTableVertexBufferEntryNVX const & | rhs | ) | const

inline

Definition at line 31246 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ObjectTableVertexBufferEntryNVX& VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::operator= | ( | VkObjectTableVertexBufferEntryNVX const & | rhs | ) |

inline

Definition at line 31206 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ObjectTableVertexBufferEntryNVX ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::operator== | ( | ObjectTableVertexBufferEntryNVX const & | rhs | ) | const

inline

Definition at line 31239 of file vulkan.hpp.

{
return ( type == rhs.type )
&& ( flags == rhs.flags )
&& ( buffer == rhs.buffer );
}

References buffer, flags, and type.

Referenced by operator!=().

## setBuffer()

ObjectTableVertexBufferEntryNVX& VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::setBuffer | ( | Buffer | buffer_ | ) |

inline

Definition at line 31223 of file vulkan.hpp.

{
buffer = buffer_;
return *this;
}

## setFlags()

ObjectTableVertexBufferEntryNVX& VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::setFlags | ( | ObjectEntryUsageFlagsNVX | flags_ | ) |

inline

Definition at line 31217 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setType()

ObjectTableVertexBufferEntryNVX& VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::setType | ( | ObjectEntryTypeNVX | type_ | ) |

inline

Definition at line 31211 of file vulkan.hpp.

{
type = type_;
return *this;
}

## Field Documentation

## buffer

Buffer VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::buffer

Definition at line 31253 of file vulkan.hpp.

Referenced by operator==().

## flags

ObjectEntryUsageFlagsNVX VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::flags

Definition at line 31252 of file vulkan.hpp.

Referenced by operator==().

## type

ObjectEntryTypeNVX VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::type

Definition at line 31251 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::buffer
Buffer buffer
Definition: vulkan.hpp:31253
VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::ObjectTableVertexBufferEntryNVX
ObjectTableVertexBufferEntryNVX(ObjectEntryTypeNVX type_=ObjectEntryTypeNVX::eDescriptorSet, ObjectEntryUsageFlagsNVX flags_=ObjectEntryUsageFlagsNVX(), Buffer buffer_=Buffer())
Definition: vulkan.hpp:31185
memcpy
#define memcpy
Definition: SDL_malloc.c:630
buffer
GLuint buffer
Definition: SDL_opengl_glext.h:533
VkObjectTableVertexBufferEntryNVX
Definition: vulkan_core.h:6901
VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::flags
ObjectEntryUsageFlagsNVX flags
Definition: vulkan.hpp:31252
VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::type
ObjectEntryTypeNVX type
Definition: vulkan.hpp:31251
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
type
GLuint GLuint GLsizei GLenum type
Definition: SDL_opengl.h:1571
VULKAN_HPP_NAMESPACE::ObjectTableVertexBufferEntryNVX::operator==
bool operator==(ObjectTableVertexBufferEntryNVX const &rhs) const
Definition: vulkan.hpp:31239